List ticket groups
Returns all ticket groups configured on the specified event page.
GET
/v1/events/:pageId/ticket-groupsAuthorization
api_key_auth AuthorizationBearer <token>
API key authentication. Use "Bearer YOUR_API_KEY" format.
In: header
Path Parameters
pageId*string
The unique identifier of the event page.
Match
^[0-9a-fA-F]{24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.checkoutpage.com/v1/events/:pageId/ticket-groups"{
"data": [
{
"id": "string",
"name": "string",
"description": "string",
"status": "enabled",
"availabilityStatus": "available",
"reference": "string",
"layout": {
"type": "list",
"columns": 0,
"collapse": true,
"alignment": "default",
"spacing": "comfortable",
"imageSize": "small",
"showTicketGroupName": true,
"showTicketTypeName": true,
"showTicketPrice": true,
"showTicketTotalPrice": true,
"showTicketSaleDateTimezone": true
},
"ticketSelectionType": "single",
"preselect": {
"enabled": true,
"ticketTypeId": "65f4a1c2e4a9f3d2b1c0a9e8",
"quantity": 0
},
"capacity": 0,
"hidden": true,
"hideWhenSoldOut": true,
"hideWhenNotOnSale": true,
"hideWhenScheduled": true,
"hideWhenUnavailable": true,
"bulkDiscounts": [
{
"minQuantity": 0,
"maxQuantity": 0,
"percentOff": 0
}
],
"availabilityBehavior": "always_available",
"saleStartOn": "string",
"saleEndOn": "string",
"triggerTicketGroupId": "65f4a1c2e4a9f3d2b1c0a9e8",
"ticketTypeIds": [
"65f4a1c2e4a9f3d2b1c0a9e8"
]
}
]
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}